package com.steering.mes.zgmil.entity;

public class MilPlanEntity3 {
	
	private String aimlength = "";
	
	public String getAimlength() {
		return aimlength;
	}

	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	private String lenRollMin = "";
	
	public String getLenRollMin() {
		return lenRollMin;
	}

	public void setLenRollMin(String lenRollMin) {
		this.lenRollMin = lenRollMin;
	}

	private String lenRollMax = "";
	
	public String getLenRollMax() {
		return lenRollMax;
	}

	public void setLenRollMax(String lenRollMax) {
		this.lenRollMax = lenRollMax;
	}

	private String outdiameter = "";
	
	

	public String getOutdiameter() {
		return outdiameter;
	}

	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	private String wallthick = "";
	
	

	public String getWallthick() {
		return wallthick;
	}

	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	private String outwlId = "";
	
	public String getOutwlId() {
		return outwlId;
	}

	public void setOutwlId(String outwlId) {
		this.outwlId = outwlId;
	}

	private String outwlDesc = "";
	
	public String getOutwlDesc() {
		return outwlDesc;
	}

	public void setOutwlDesc(String outwlDesc) {
		this.outwlDesc = outwlDesc;
	}

	/***
	 * 轧管订单号
	 */
	private String proPlanId;
	
	 
	/***
	 * 工序排产序号
	 */
	private String  gxPlanNo;
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
     * 去向（A轧制成品B轧制半成品C镦拔扩及热处理）
     */
    private String goType;
	/**
     * 上料炉号
     */
    private String feedHeatNo;
    /**
     * 流动卡流水号
     */
    private String lotSeq;
    /**
     * 炼钢判定标准
     */
    private String steelStandrad;
    /**
     * 去向
     */
    private String target;
    /**
     * 计划成品支
     */
    private String branch;
    /**
     * 计划成品吨
     */
    private String ton;
    /**
     * 切损去向
     */
    private String cutTarget;
    /**
     * 切损长度
     */
    private String cutLength;
    /**
     * 切损重量
     */
    private String cutWeight;
    /**
     * 理论单倍坯支数
     */
    private String dbNum;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 创建时间
     */
    private String tom;
    /**
     * 修改时间 
     */
    private String toc;
    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     */
    private String nodeStatus;
    /**
     * 切头长度
     */
    private String cutHeadLengthp;
    /**
     * 切尾长度
     */
    private String cutTrailLengthp;
    /**
     * 控制壁厚
     */
    private String controlThickp;
    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     */
    private String offlineFlag;
    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     */
    private String isBatch;
    /**
     * 下线时间
     */
    private String offlineDate;
    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     */
    private String cutType;
    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     */
    private String rollingStatus;
    /**
     * 成品判定标准
     */
    private String produceStandrad;
    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     */
    private String simpleProcess;
    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     */
    private String backLineFlag;
    /**
     * 返线计划标识(0-正常计划， 1-锯切返线   7-矫直返线  8-探伤返线)
     */
    private String backPlanFlag;
    /**
     * 上料时间
     */
    private String feedTime;
    /**
     * ID
     */
    private String id;
    /**
     * 序号
     */
    private String seq;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号1
     */
    private String judgeStoveNo;
    
    private String judgeNo;
   

	/**
     * 生产批号 1
     */
    private String lotNo;
    /**
     * 工序合同号1
     */
    private String contractNo;
    /**
     * 执行工艺号1
     */
    private String impProcess;
    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     */
    private String plineCode;
    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检 96-质检完成)
     */
    private String status;
    /**
     * 监制
     */
    private String producer;
    /**
     * 工艺状态1
     */
    private String processStatus;
    /**
     * 单倍长12
     */
    private String dbLength;
    /**
     * 单倍重1
     */
    private String dbHeight;
    /**
     * 轧制长度1
     */
    private String rollLength;
    /**
     * 分切数1
     */
    private String sawNum;
    /**
     * 目标长度1
     */
    private String targetLength;
    /**
     * 用户1
     */
    private String finishUser;
    /**
     * 目标库1
     */
    private String targetLiabrary;
    /***
     * 品种代码
     */
    private String varietiesCode;
    

	/**
     * 品种
     */
    private String varieties;
    /***
     * 规格代码
     */
    private String pipeSizeCode;
    

	/**
     * 规格
     */
    private String pipeSize;
    /***
     * 扣型代码
     */
    private String buckleTypeCode;
    
	/**
     * 扣型
     */
    private String buckleType;
    /**
     * 长度范围12
     */
    private String lengthRange;
    /***
     * 标准代码
     */
    private String rollStandradCode;
    

	/**
     * 轧管判定标准
     */
    private String rollStandrad;
    /**
     * 断面
     */
    private String pipeSection;
    /**
     * 上料顺序号（年月日+产线代码+三位流水）
     */
    private String feedSeq;

    /**
     * 物料编码
     */
    private String materialNo;
    /**
     * 物料描述
     */
    private String materialDesc;
    /**
     * 品名代码
     */
    private String produccode;
    /**
     * 品名描述
     */
    private String producname;
    /**
     * 品名英语名称
     */
    private String producEng;
    /**
     * 标准类别代码
     */
    private String stdStyle;
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc;
    /**
     * 钢级(牌号)代码
     */
    private String steelcode;
    /**
     * 钢级(牌号)名称
     */
    private String steelname;
    /**
     * 钢种代码(GZ0001)
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 外径
     */
    private String dimater;
    /**
     * 壁厚
     */
    private String height;
    /**
     * 管坯规格代码(从产品规格表中取值)
     */
    private String specCode;
    /**
     * 管坯规格描述
     */
    private String specName;
    /**
     * 扣型代码
     */
    private String modelCode;
    /**
     * 扣型描述
     */
    private String modelDesc;
    /**
     * 材料支数(实际)
     */
    private String actCount;
    /**
     * 材料实重(实际)
     */
    private String actWeight;
    
    private String astatus;
    
    private String lengthmin;
    
    private String lengthmax;
    
    private String plineName;
	
    private String ordLnDlyPk;
    
	
    private String inputWeight;
	public String getInputWeight() {
		return inputWeight;
	}

	public void setInputWeight(String inputWeight) {
		this.inputWeight = inputWeight;
	}

	public MilPlanEntity3(){
		inputWeight = "";
		ordLnDlyPk = "";
    	astatus = "";
    	goType = "";
    	 materialNo = "";
         materialDesc = "";
         produccode = "";
         producname = "";
         producEng = "";
         stdStyle = "";
         stdStyleDesc = "";
         steelcode = "";
         steelname = "";
         gradecode = "";
         gradename = "";
         dimater = "";
         height = "";
         specCode = "";
         specName = "";
         modelCode = "";
         modelDesc = "";
        feedHeatNo = "";
        lotSeq = "";
        steelStandrad = "";
        target = "";
        branch = "";
        ton = "";
        cutTarget = "";
        cutLength = "";
        cutWeight = "";
        dbNum = "";
        startTime = "";
        endTime = "";
        tom = "";
        toc = "";
        nodeStatus = "";
        cutHeadLengthp = "";
        cutTrailLengthp = "";
        controlThickp = "";
        offlineFlag = "";
        isBatch = "";
        offlineDate = "";
        cutType = "";
        rollingStatus = "";
        produceStandrad = "";
        simpleProcess = "";
        backLineFlag = "";
        backPlanFlag = "";
        feedTime = "";
        id = "";
        seq = "";
        stoveNo = "";
        judgeStoveNo = "";
        lotNo = "";
        contractNo = "";
        impProcess = "";
        plineCode = "";
        status = "";
        producer = "";
        processStatus = "";
        dbLength = "";
        dbHeight = "";
        rollLength = "";
        sawNum = "";
        targetLength = "";
        finishUser = "";
        targetLiabrary = "";
        varieties = "";
        pipeSize = "";
        buckleType = "";
        lengthRange = "";
        rollStandrad = "";
        pipeSection = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        feedSeq = "";
        actCount = "";
        actWeight = "";
        lengthmin = "";
        lengthmax = "";
        plineName = "";
        judgeNo = "";
        proPlanId = "";
        gxPlanNo = "";
        varietiesCode = "";
        pipeSizeCode = "";
        buckleTypeCode = "";
        rollStandradCode = "";
    }
	
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}
	
	public String getPipeSizeCode() {
		return pipeSizeCode;
	}
	public void setPipeSizeCode(String pipeSizeCode) {
		this.pipeSizeCode = pipeSizeCode;
	}
    public String getBuckleTypeCode() {
		return buckleTypeCode;
	}
	public void setBuckleTypeCode(String buckleTypeCode) {
		this.buckleTypeCode = buckleTypeCode;
	}
	public String getRollStandradCode() {
		return rollStandradCode;
	}
	public void setRollStandradCode(String rollStandradCode) {
		this.rollStandradCode = rollStandradCode;
	}
	public String getVarietiesCode() {
		return varietiesCode;
	}
	public void setVarietiesCode(String varietiesCode) {
		this.varietiesCode = varietiesCode;
	}
	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	
	 public String getJudgeNo() {
			return judgeNo;
		}
		public void setJudgeNo(String judgeNo) {
			this.judgeNo = judgeNo;
		}
	
	/***
	 * 产线名称
	 * @return
	 */
	public String getPlineName() {
		return plineName;
	}
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}
	/***
	 * 长度下限
	 * @return
	 */
	public String getLengthmin() {
		return lengthmin;
	}
	public void setLengthmin(String lengthmin) {
		this.lengthmin = lengthmin;
	}
/***
 * 长度上限
 * @return
 */
	public String getLengthmax() {
		return lengthmax;
	}
	public void setLengthmax(String lengthmax) {
		this.lengthmax = lengthmax;
	}
	
/***
 * 材料类别区分
 * @return
 */
	public String getAstatus() {
		return astatus;
	}

	public void setAstatus(String astatus) {
		this.astatus = astatus;
	}
    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 去向（A轧制成品B轧制半成品C镦拔扩及热处理）
     * @return value
     */
    public String getGoType() {
        return goType;
    }

    /**
     * 去向（A轧制成品B轧制半成品C镦拔扩及热处理）
     * @param goType value
     */
    public void setGoType(String goType) {
        this.goType = goType;
    }
    
    /**
     * 物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描述
     * @return value
     */
    public String getMaterialDesc() {
        return materialDesc;
    }

    /**
     * 物料描述
     * @param materialDesc value
     */
    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 品名英语名称
     * @return value
     */
    public String getProducEng() {
        return producEng;
    }

    /**
     * 品名英语名称
     * @param producEng value
     */
    public void setProducEng(String producEng) {
        this.producEng = producEng;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 外径
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 管坯规格代码(从产品规格表中取值)
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 管坯规格代码(从产品规格表中取值)
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 管坯规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 管坯规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }
    
    /**
     * 上料炉号
     * @return value
     */
    public String getFeedHeatNo() {
        return feedHeatNo;
    }

    /**
     * 上料炉号
     * @param feedHeatNo value
     */
    public void setFeedHeatNo(String feedHeatNo) {
        this.feedHeatNo = feedHeatNo;
    }

    /**
     * 流动卡流水号
     * @return value
     */
    public String getLotSeq() {
        return lotSeq;
    }

    /**
     * 流动卡流水号
     * @param lotSeq value
     */
    public void setLotSeq(String lotSeq) {
        this.lotSeq = lotSeq;
    }

    /**
     * 炼钢判定标准
     * @return value
     */
    public String getSteelStandrad() {
        return steelStandrad;
    }

    /**
     * 炼钢判定标准
     * @param steelStandrad value
     */
    public void setSteelStandrad(String steelStandrad) {
        this.steelStandrad = steelStandrad;
    }

    /**
     * 去向
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 去向
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 计划成品支
     * @return value
     */
    public String getBranch() {
        return branch;
    }

    /**
     * 计划成品支
     * @param branch value
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    /**
     * 计划成品吨
     * @return value
     */
    public String getTon() {
        return ton;
    }

    /**
     * 计划成品吨
     * @param ton value
     */
    public void setTon(String ton) {
        this.ton = ton;
    }

    /**
     * 切损去向
     * @return value
     */
    public String getCutTarget() {
        return cutTarget;
    }

    /**
     * 切损去向
     * @param cutTarget value
     */
    public void setCutTarget(String cutTarget) {
        this.cutTarget = cutTarget;
    }

    /**
     * 切损长度
     * @return value
     */
    public String getCutLength() {
        return cutLength;
    }

    /**
     * 切损长度
     * @param cutLength value
     */
    public void setCutLength(String cutLength) {
        this.cutLength = cutLength;
    }

    /**
     * 切损重量
     * @return value
     */
    public String getCutWeight() {
        return cutWeight;
    }

    /**
     * 切损重量
     * @param cutWeight value
     */
    public void setCutWeight(String cutWeight) {
        this.cutWeight = cutWeight;
    }

    /**
     * 理论单倍坯支数
     * @return value
     */
    public String getDbNum() {
        return dbNum;
    }

    /**
     * 理论单倍坯支数
     * @param dbNum value
     */
    public void setDbNum(String dbNum) {
        this.dbNum = dbNum;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getTom() {
        return tom;
    }

    /**
     * 创建时间
     * @param tom value
     */
    public void setTom(String tom) {
        this.tom = tom;
    }

    /**
     * 修改时间 
     * @return value
     */
    public String getToc() {
        return toc;
    }

    /**
     * 修改时间 
     * @param toc value
     */
    public void setToc(String toc) {
        this.toc = toc;
    }

    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     * @return value
     */
    public String getNodeStatus() {
        return nodeStatus;
    }

    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     * @param nodeStatus value
     */
    public void setNodeStatus(String nodeStatus) {
        this.nodeStatus = nodeStatus;
    }

    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLengthp() {
        return cutHeadLengthp;
    }

    /**
     * 切头长度
     * @param cutHeadLengthp value
     */
    public void setCutHeadLengthp(String cutHeadLengthp) {
        this.cutHeadLengthp = cutHeadLengthp;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLengthp() {
        return cutTrailLengthp;
    }

    /**
     * 切尾长度
     * @param cutTrailLengthp value
     */
    public void setCutTrailLengthp(String cutTrailLengthp) {
        this.cutTrailLengthp = cutTrailLengthp;
    }

    /**
     * 控制壁厚
     * @return value
     */
    public String getControlThickp() {
        return controlThickp;
    }

    /**
     * 控制壁厚
     * @param controlThickp value
     */
    public void setControlThickp(String controlThickp) {
        this.controlThickp = controlThickp;
    }

    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     * @return value
     */
    public String getOfflineFlag() {
        return offlineFlag;
    }

    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     * @param offlineFlag value
     */
    public void setOfflineFlag(String offlineFlag) {
        this.offlineFlag = offlineFlag;
    }

    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     * @return value
     */
    public String getIsBatch() {
        return isBatch;
    }

    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     * @param isBatch value
     */
    public void setIsBatch(String isBatch) {
        this.isBatch = isBatch;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineDate() {
        return offlineDate;
    }

    /**
     * 下线时间
     * @param offlineDate value
     */
    public void setOfflineDate(String offlineDate) {
        this.offlineDate = offlineDate;
    }

    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     * @return value
     */
    public String getCutType() {
        return cutType;
    }

    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     * @param cutType value
     */
    public void setCutType(String cutType) {
        this.cutType = cutType;
    }

    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     * @return value
     */
    public String getRollingStatus() {
        return rollingStatus;
    }

    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     * @param rollingStatus value
     */
    public void setRollingStatus(String rollingStatus) {
        this.rollingStatus = rollingStatus;
    }

    /**
     * 成品判定标准
     * @return value
     */
    public String getProduceStandrad() {
        return produceStandrad;
    }

    /**
     * 成品判定标准
     * @param produceStandrad value
     */
    public void setProduceStandrad(String produceStandrad) {
        this.produceStandrad = produceStandrad;
    }

    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     * @return value
     */
    public String getSimpleProcess() {
        return simpleProcess;
    }

    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     * @param simpleProcess value
     */
    public void setSimpleProcess(String simpleProcess) {
        this.simpleProcess = simpleProcess;
    }

    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     * @return value
     */
    public String getBackLineFlag() {
        return backLineFlag;
    }

    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     * @param backLineFlag value
     */
    public void setBackLineFlag(String backLineFlag) {
        this.backLineFlag = backLineFlag;
    }

    /**
     * 返线计划标识(0-正常计划， 1-锯切返线   7-矫直返线  8-探伤返线)
     * @return value
     */
    public String getBackPlanFlag() {
        return backPlanFlag;
    }

    /**
     * 返线计划标识(0-正常计划， 1-锯切返线   7-矫直返线  8-探伤返线)
     * @param backPlanFlag value
     */
    public void setBackPlanFlag(String backPlanFlag) {
        this.backPlanFlag = backPlanFlag;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getFeedTime() {
        return feedTime;
    }

    /**
     * 上料时间
     * @param feedTime value
     */
    public void setFeedTime(String feedTime) {
        this.feedTime = feedTime;
    }

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号1
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号1
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 生产批号 1
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号 1
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 工序合同号1
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号1
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 执行工艺号1
     * @return value
     */
    public String getImpProcess() {
        return impProcess;
    }

    /**
     * 执行工艺号1
     * @param impProcess value
     */
    public void setImpProcess(String impProcess) {
        this.impProcess = impProcess;
    }

    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检 96-质检完成)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检 96-质检完成)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 监制
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 工艺状态1
     * @return value
     */
    public String getProcessStatus() {
        return processStatus;
    }

    /**
     * 工艺状态1
     * @param processStatus value
     */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    /**
     * 单倍长12
     * @return value
     */
    public String getDbLength() {
        return dbLength;
    }

    /**
     * 单倍长12
     * @param dbLength value
     */
    public void setDbLength(String dbLength) {
        this.dbLength = dbLength;
    }

    /**
     * 单倍重1
     * @return value
     */
    public String getDbHeight() {
        return dbHeight;
    }

    /**
     * 单倍重1
     * @param dbHeight value
     */
    public void setDbHeight(String dbHeight) {
        this.dbHeight = dbHeight;
    }

    /**
     * 轧制长度1
     * @return value
     */
    public String getRollLength() {
        return rollLength;
    }

    /**
     * 轧制长度1
     * @param rollLength value
     */
    public void setRollLength(String rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * 分切数1
     * @return value
     */
    public String getSawNum() {
        return sawNum;
    }

    /**
     * 分切数1
     * @param sawNum value
     */
    public void setSawNum(String sawNum) {
        this.sawNum = sawNum;
    }

    /**
     * 目标长度1
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 目标长度1
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 用户1
     * @return value
     */
    public String getFinishUser() {
        return finishUser;
    }

    /**
     * 用户1
     * @param finishUser value
     */
    public void setFinishUser(String finishUser) {
        this.finishUser = finishUser;
    }

    /**
     * 目标库1
     * @return value
     */
    public String getTargetLiabrary() {
        return targetLiabrary;
    }

    /**
     * 目标库1
     * @param targetLiabrary value
     */
    public void setTargetLiabrary(String targetLiabrary) {
        this.targetLiabrary = targetLiabrary;
    }

    /**
     * 品种
     * @return value
     */
    public String getVarieties() {
        return varieties;
    }

    /**
     * 品种
     * @param varieties value
     */
    public void setVarieties(String varieties) {
        this.varieties = varieties;
    }

    /**
     * 规格
     * @return value
     */
    public String getPipeSize() {
        return pipeSize;
    }

    /**
     * 规格
     * @param pipeSize value
     */
    public void setPipeSize(String pipeSize) {
        this.pipeSize = pipeSize;
    }

    /**
     * 扣型
     * @return value
     */
    public String getBuckleType() {
        return buckleType;
    }

    /**
     * 扣型
     * @param buckleType value
     */
    public void setBuckleType(String buckleType) {
        this.buckleType = buckleType;
    }

    /**
     * 长度范围12
     * @return value
     */
    public String getLengthRange() {
        return lengthRange;
    }

    /**
     * 长度范围12
     * @param lengthRange value
     */
    public void setLengthRange(String lengthRange) {
        this.lengthRange = lengthRange;
    }

    /**
     * 轧管判定标准
     * @return value
     */
    public String getRollStandrad() {
        return rollStandrad;
    }

    /**
     * 轧管判定标准
     * @param rollStandrad value
     */
    public void setRollStandrad(String rollStandrad) {
        this.rollStandrad = rollStandrad;
    }

    /**
     * 断面
     * @return value
     */
    public String getPipeSection() {
        return pipeSection;
    }

    /**
     * 断面
     * @param pipeSection value
     */
    public void setPipeSection(String pipeSection) {
        this.pipeSection = pipeSection;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 上料顺序号（年月日+产线代码+三位流水）
     * @return value
     */
    public String getFeedSeq() {
        return feedSeq;
    }

    /**
     * 上料顺序号（年月日+产线代码+三位流水）
     * @param feedSeq value
     */
    public void setFeedSeq(String feedSeq) {
        this.feedSeq = feedSeq;
    }
}
